# -*- coding: utf-8 -*-

from admin_tools.dashboard import modules
from django.utils.translation import ugettext_lazy as _


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("organization"),
            'display': "tabs",
            'children': [Models()]
        })
        super().__init__(**kwargs)


class MainDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("organization"),
            'display': "tabs",
            'children': [Models()]
        })
        super().__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("main models"),
            'models': (
                'thx.organization.models.OrganizationAddress',
                'thx.organization.models.EmailTypology',
                'thx.organization.models.PhoneTypology',
                'thx.organization.models.OrganizationType',
                'thx.organization.models.OrganizationForm',
                'thx.organization.models.Organization',
                'thx.organization.models.OrganizationEmail',
                'thx.organization.models.OrganizationPhone',
                'thx.organization.models.OrganizationSocialPage',
                'thx.organization.models.OwnerOrganization',
                'thx.organization.models.ContactRole',
                'thx.organization.models.ContactTitle',
                'thx.organization.models.Contact',
                'thx.organization.models.ContactEmail',
                'thx.organization.models.ContactPhone',
                'thx.organization.models.ContactSocialAccount',
                'thx.organization.models.OwnerContact',
            ),
        })
        super().__init__(**kwargs)
